#include<bits/stdc++.h>
using namespace std;
int main()
{
    int n, max=0;
    cin>>n;
    double a[n], p[n];
    for(int i=0; i<n; i++)
        cin>>a[i];
    for(int i=0; i<n; i++)
        cin>>p[i];
    int temp=0;
    for(int i=0; i<n; i++)
    {
        for(int j=0; j<n; j++)
        {
            if(p[i]<p[j])
                temp+=a[j]*((100-p[i])/100);
            if(temp>max)
                max=temp;
        }
    }
    cout<<max;
}